////////////////////////////////////////////////////////////////////////////////
//配置个别机子参数
////////////////////////////////////////////////////////////////////////////////
unit U_iniParam;

interface
uses
  IniFiles,SysUtils;
var
  Filename:string;      //文件名
  iParam2:integer;
  bParam1:Boolean;
  bParam2:Boolean;
  YPCodeType:string;  //样品编号类型
  Function IsINIFile():Boolean;  //判断InI配置文件是否存在
  procedure ReadINIFile();
  procedure WriteINIFile();
implementation
///////////////////////////////////////////////////////////////////
  //读取ini文件设置参数
  //参数：
////////////////////////////////////////////////////////////////////
procedure ReadINIFile();
var
  programIni:Tinifile;  //配置文件名
begin
  FileName:=ExtractFilePath(Paramstr(0))+'YPFile.INI';
  programIni:=Tinifile.create(FileName);
  YPCodeType:=programIni.ReadString('样品编号','编号类型','');

  programIni.Free;
end;
//////////////////////////////////////////////////////////////////
  //写设置信息到INI文件
  //参数
//////////////////////////////////////////////////////////////////
procedure WriteINIFile();
var
  programIni:Tinifile;  //配置文件名
begin
  FileName:=ExtractFilePath(Paramstr(0))+'YPFile.INI';
  programIni:=Tinifile.create(FileName);
  programIni.WriteString('样品编号','编号类型',YPCodeType);
  programIni.Free;
end;
//////////////////////////////////////////////////////////////////
  //判断InI文件是否存在
//////////////////////////////////////////////////////////////////
 Function IsINIFile():Boolean;
 begin
   FileName:=ExtractFilePath(Paramstr(0))+'YPFile.INI';
   if FileExists(FileName) then
      Result:=true
   else
      Result:=false;
 end;

end.
